nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   General Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=27)
-   -   How to correct my installation nvnet after recompile core? (http://www.nvnews.net/vbulletin/showthread.php?t=28020)

mygod100 04-29-04 12:58 AM

How to correct my installation nvnet after recompile core?
 
Hello,
I recompile my Rh 9(2.4.20-8) to (2.6.4),all is ok,but my Ethernet could not work, I try to reinstall nvnet driver from NVIDIA_nforce-1.0-0261.tar.gz. when I do make,error comes as below.what's wrong? How can I to correct it?

mygod100 04-29-04 12:59 AM

Re: How to correct my installation nvnet after recompile core?
 
[root@Michael nforce]# make
make -C nvnet
make[1]: Entering directory `/space/software/drivers/MainBoard/nforce/nvnet'
cc -c -Wall -DLINUX -DMODULE -DEXPORT_SYMTAB -D__KERNEL__ -O -Wstrict-prototypes -DCONFIG_PM -fno-strict-aliasing -mpreferred-stack-boundary=2 -march=i686 -falign-functions=4 -DMODULE -I/lib/modules/2.6.4/build/include nvnet.c
In file included from /lib/modules/2.6.4/build/include/asm/smp.h:18,
from /lib/modules/2.6.4/build/include/linux/smp.h:17,
from /lib/modules/2.6.4/build/include/linux/sched.h:23,
from /lib/modules/2.6.4/build/include/linux/module.h:10,
from nvnet.h:20,
from nvnet.c:21:
/lib/modules/2.6.4/build/include/asm/mpspec.h:6:25: mach_mpspec.h: 没有那个文件或目录
In file included from /lib/modules/2.6.4/build/include/asm/smp.h:18,
from /lib/modules/2.6.4/build/include/linux/smp.h:17,
from /lib/modules/2.6.4/build/include/linux/sched.h:23,
from /lib/modules/2.6.4/build/include/linux/module.h:10,
from nvnet.h:20,
from nvnet.c:21:
/lib/modules/2.6.4/build/include/asm/mpspec.h:8: `MAX_MP_BUSSES' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/mpspec.h:9: `MAX_MP_BUSSES' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/mpspec.h:10: `MAX_MP_BUSSES' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/mpspec.h:12: `MAX_MP_BUSSES' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/mpspec.h:19: `MAX_APICS' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/mpspec.h:20: `MAX_MP_BUSSES' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/mpspec.h:20: conflicting types for `mp_bus_id_to_type'
/lib/modules/2.6.4/build/include/asm/mpspec.h:8: previous declaration of `mp_bus_id_to_type'
/lib/modules/2.6.4/build/include/asm/mpspec.h:22: `MAX_IRQ_SOURCES' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/mpspec.h:24: `MAX_MP_BUSSES' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/mpspec.h:24: conflicting types for `mp_bus_id_to_pci_bus'
/lib/modules/2.6.4/build/include/asm/mpspec.h:12: previous declaration of `mp_bus_id_to_pci_bus'
/lib/modules/2.6.4/build/include/asm/mpspec.h:50: `MAX_APICS' undeclared here (not in a function)
In file included from /lib/modules/2.6.4/build/include/asm/smp.h:20,
from /lib/modules/2.6.4/build/include/linux/smp.h:17,
from /lib/modules/2.6.4/build/include/linux/sched.h:23,
from /lib/modules/2.6.4/build/include/linux/module.h:10,
from nvnet.h:20,
from nvnet.c:21:
/lib/modules/2.6.4/build/include/asm/io_apic.h:160: `MAX_IRQ_SOURCES' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/io_apic.h:160: conflicting types for `mp_irqs'
/lib/modules/2.6.4/build/include/asm/mpspec.h:22: previous declaration of `mp_irqs'
In file included from /lib/modules/2.6.4/build/include/linux/smp.h:17,
from /lib/modules/2.6.4/build/include/linux/sched.h:23,
from /lib/modules/2.6.4/build/include/linux/module.h:10,
from nvnet.h:20,
from nvnet.c:21:
/lib/modules/2.6.4/build/include/asm/smp.h:71:26: mach_apicdef.h: 没有那个文件或目录
In file included from /lib/modules/2.6.4/build/include/linux/smp.h:17,
from /lib/modules/2.6.4/build/include/linux/sched.h:23,
from /lib/modules/2.6.4/build/include/linux/module.h:10,
from nvnet.h:20,
from nvnet.c:21:
/lib/modules/2.6.4/build/include/asm/smp.h: In function `hard_smp_processor_id':
/lib/modules/2.6.4/build/include/asm/smp.h:75: warning: implicit declaration of function `GET_APIC_ID'
In file included from /lib/modules/2.6.4/build/include/linux/irq.h:20,
from /lib/modules/2.6.4/build/include/asm/hardirq.h:6,
from /lib/modules/2.6.4/build/include/linux/interrupt.h:11,
from nvnet.h:30,
from nvnet.c:21:
/lib/modules/2.6.4/build/include/asm/irq.h:16:25: irq_vectors.h: 没有那个文件或目录
In file included from /lib/modules/2.6.4/build/include/asm/hardirq.h:6,
from /lib/modules/2.6.4/build/include/linux/interrupt.h:11,
from nvnet.h:30,
from nvnet.c:21:
/lib/modules/2.6.4/build/include/linux/irq.h: At top level:
/lib/modules/2.6.4/build/include/linux/irq.h:70: `NR_IRQS' undeclared here (not in a function)
In file included from /lib/modules/2.6.4/build/include/linux/irq.h:72,
from /lib/modules/2.6.4/build/include/asm/hardirq.h:6,
from /lib/modules/2.6.4/build/include/linux/interrupt.h:11,
from nvnet.h:30,
from nvnet.c:21:
/lib/modules/2.6.4/build/include/asm/hw_irq.h:28: `NR_IRQ_VECTORS' undeclared here (not in a function)
/lib/modules/2.6.4/build/include/asm/hw_irq.h:31: `NR_IRQS' undeclared here (not in a function)nvnet.c: In function `nvnet_open':
nvnet.c:735: warning: passing arg 2 of `request_irq' from incompatible pointer type
nvnet.c: In function `nvnet_remove':
nvnet.c:1248: structure has no member named `driver_data'
make[1]: *** [nvnet.o] Error 1
make[1]: Leaving directory `/space/software/drivers/MainBoard/nforce/nvnet'
make: *** [nvnet_make] Error 2
[root@Michael nforce]#

NeoXP 04-29-04 02:47 AM

Re: How to correct my installation nvnet after recompile core?
 
Untill now nVidia does not support kernel 2.6! However for all of us that want to use kernel 2.6 on an nForce MoBo with the onboard NIC there is a reverse engineered driver that comes with the kernel as of kernel 2.6.2.

Try to find the driver (it is called "forcedeth") load it and configure your network. It should work!

mygod100 04-29-04 06:00 AM

Re: How to correct my installation nvnet after recompile core?
 
hi,NeoXP
Thank you first,and I found the forcedeth_2_6_patch at http://www.hailfinger.org/carldani/l...hes/forcedeth/ ,but I only found patchs(forcedeth_2_6_patch_vXX.txt), but no original of forcedeth code. could you please tell me how to use the patch?
Thank you again.

NeoXP 04-29-04 10:27 AM

Re: How to correct my installation nvnet after recompile core?
 
The forcedeth-driver should already be on you system!

I'm at work right now but, but it I'm right, you should look for it in /lib/modules/2.6.4/kernel/drivers/net

Good luck!

mygod100 04-29-04 09:51 PM

Re: How to correct my installation nvnet after recompile core?
 
sorry,I did not find it last day because of my wrong path, I find it just now. thank you very much.
I patched it & to redo make xconfig, but it looks like no more extra option after patched. & I could not find any FORCEDETH menu(option) in xconfig. Is that all only after patch forcedeth.c? but I recompiled the core and reboot with it, in the boot message,it report eth0 is ok,ppp0 is failed.but realy the eth0 is not work yet because I run ifconfig in xterm and it only report lo but no eth0. I try to start it, report is ok but yet not work.
could you tell me what's wrong? something wrong before my compile? need your help.
Thank you

NeoXP 05-02-04 06:16 AM

Re: How to correct my installation nvnet after recompile core?
 
you will have to bring up your network, else it won't work. Don't know how to advise you with this. I never worked with RH. Maybe you can find help from a RH expert.

mygod100 05-02-04 07:16 PM

Re: How to correct my installation nvnet after recompile core?
 
Thank you all the same,
The only thing I want to know is that after I patched the forcedeth.c,any selection should I make in the make xconfig? or with the default selection will auto include/to make with forcedeth.c ?
Thank you.

gunslinger 05-11-04 06:41 AM

Re: How to correct my installation nvnet after recompile core?
 
excuse me for the lameness, :lame:
i am running a redhat 9, with kernel 2.4.20-18.9...
i can't find a driver fitting it and before even thinking of updating the kernel,
i want to explore any other way.
Since official support won't help,
i was thinking about forcedeth,
visited the given url, but can't understand wich one i have to dnload...

all seems af the wrong version.... which one to use?
again: do i have to patch em? which file to patch?

thx G.

dumbo11 05-11-04 11:33 AM

Re: How to correct my installation nvnet after recompile core?
 
If you download a recent 2.6.x kernel, forcedeth is already included [no need for a patch]. But it's easy to miss it in the list.

Device drivers -> Networking support -> EISA, VLB, PCI and onboard controllers

"Reverse engineered nForce ethernet controller (EXPERIMENTAL)"

Note: for some reason on my machine this appears in the list of drivers between 'Broadcom 4400' and 'CS89x0'...


All times are GMT -5. The time now is 12:10 PM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.